Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# Leaderboards.SubmitScoreResult

implements Releasable Result

com.google.android.gms.games.leaderboard.Leaderboards.SubmitScoreResult

## Class Overview

Result delivered when a leaderboard score has been submitted. The statusCode indicates whether or not the score was successfully submitted to the servers.

Possible status codes include:

- `STATUS_OK` if the score was successfully submitted to the server.
- `STATUS_NETWORK_ERROR_OPERATION_DEFERRED` if the device is offline or was otherwise unable to post the score to the server. The score was stored locally and will be posted to the server the next time the device is online and is able to perform a sync (no further action is required from the client).
- `STATUS_CLIENT_RECONNECT_REQUIRED` if the client needs to reconnect to the service before attempting to submit the score.
- `STATUS_LICENSE_CHECK_FAILED` if the game is not licensed to the user.
- `STATUS_INTERNAL_ERROR` if an unexpected error occurred in the service.

## Summary

Public Methods
abstract ScoreSubmissionData | getScoreData()

[Expand] Inherited Methods

From interface com.google.android.gms.common.api.Releasable

abstract void | release()

From interface com.google.android.gms.common.api.Result

abstract Status | getStatus()

## Public Methods

#### public abstract ScoreSubmissionData getScoreData ()

##### Returns

- Data about the score that was submitted and the response from the server.